#
# spec file for package python-PyVirtualDisplay
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-PyVirtualDisplay
Version:        0.2.1
Release:        lp152.5.1
Summary:        Python wrapper for Xvfb, Xephyr and Xvnc
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ponty/PyVirtualDisplay
Source:         https://files.pythonhosted.org/packages/source/P/PyVirtualDisplay/PyVirtualDisplay-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-EasyProcess
Requires:       xorg-x11-Xvfb
Recommends:     xorg-x11-Xvnc
Suggests:       xorg-x11-server-extra
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module EasyProcess}
BuildRequires:  %{python_module nose}
%endif
%python_subpackages

%description
PyVirtualDisplay is a python wrapper for Xvfb, Xephyr and Xvnc

%prep
%setup -q -n PyVirtualDisplay-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
mkdir tester
pushd tester
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python -B -m nose pyvirtualdisplay
}
popd
%endif

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec 18 2018 Matej Cepl <mcepl@suse.com>
- Also remove nonsensical dependency on python3-2to3
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Aug 28 2017 toddrme2178@gmail.com
- update to version 0.2.1:
  * no changelog available
- Implement single-spec version
- Fix source URL
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 0.1.5:
  * no changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Feb 17 2013 p.drouand@gmail.com
- Update to version 0.1.1:
  * No changelog available
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 0.1.1 version:
  * bugfix for wx pyscreenshot backend
  * remove entrypoint2 dependency
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
